<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>title</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <link href="common.css" rel="stylesheet" type="text/css" />
</head>

<body>
    <div id="wrapper">

        <nav class="navbar  navbar-light " style="background-color: azure" ;>

            <h1>
                <p class="fishtitle text-primary">熱帯魚の館</p>
            </h1>
            <ul class="l navbar-nav flex-row">
                <li class="nav-item">
                    <a class="nav-link"> ${userInfo.name}さん</a>
                </li>
                <li class="nav-item">
                    　　 <a class="btn btn-primary" href="LoginServlet">ログアウト</a>
                </li>
            </ul>
        </nav>

        <br>
        <c:if test="${errMsg != null}">
            <div class="alert alert-danger" role="alert">
                ${errMsg}
            </div>
        </c:if>
        <form class="form-update" action="UserupdateServlet?id=${userInfo.id}" method="post">
            <div class="form-group row">
                <label for="loginId" class="col-sm-2 col-form-label">　　ログインID</label>
                <div class="col-sm-5">
                    <input name="loginId" class="form-control-plaintext" id="loginId" readonly="readonly" value=${user.loginId}>
                </div>
            </div>

            <div class="form-group row">
                <label for="password" class="col-sm-2 col-form-label">　　パスワード</label>
                <div class="col-sm-5">
                    <input type="password" class="form-control" id="password" name="password">
                </div>
            </div>


            <div class="form-group row">
                <label for="passwordConf" class="col-sm-2 col-form-label">　　パスワード(確認)</label>
                <div class="col-sm-5">
                    <input type="password" class="form-control" id="passwordConf" name="passwordConf">
                </div>
            </div>

            <div class="form-group row">
                <label for="userName" class="col-sm-2 col-form-label">　　ユーザ名</label>
                <div class="col-sm-5">
                    <input type="text" class="form-control" id="userName" name="userName" value=${user.name}>
                </div>
            </div>

            <div class="form-group row">
                <label for="birthDate" class="col-sm-2 col-form-label">　　生年月日</label>
                <div class="col-sm-5">
                    <input type="date" class="form-control" id="birthDate" value=${user.birthDate} name="birthDate">
                </div>
            </div>

            <br>

            <div class="updatebutton submit-button-area">
                <button type="submit" value="更新" class="col-sm-2""btn btn-primary btn-lg btn-block">更新</button>
            </div>
        </form>
        <br>
        　　<a class="nav-link" href="userdetailservlet?id=${userInfo.id}""> 戻る</a>

    <footer>
        
        </footer>
    </div>
</body></html>
